﻿using System;
using Contract;

namespace Implementation
{
    /// <summary>
    /// A sample implementation of IMath
    /// </summary>
    /// <remarks>
    /// Notice that there are no special attributes on this class
    /// </remarks>
    public class Math : IMath
    {
        /// <summary>
        /// Parameterless constructor (left in place so breakpoints could be set allowing the developer to see when 
        /// the constructor is being called)
        /// </summary>
        public Math()
        {
            
        }

        /// <summary>
        /// Implementation of add method
        /// </summary>
        /// <param name="x"></param>
        /// <param name="y"></param>
        /// <returns></returns>
        public int Add(int x, int y)
        {
            return x + y;
        }

        /// <summary>
        /// Implementation of divide method
        /// </summary>
        /// <param name="x"></param>
        /// <param name="y"></param>
        /// <returns></returns>
        public float Divide(int x, int y)
        {
            return x / y;
        }

        /// <summary>
        /// Implementation of CalculateNetWorth method
        /// </summary>
        /// <param name="ssn"></param>
        /// <returns></returns>
        public int CalculateNetWorth(string ssn)
        {
            return 1000;
        }
    }
}
