﻿using System;
using System.ServiceModel.Configuration;

namespace WcfInfrastructure
{
    /// <summary>
    /// This behavior extension is needed so that the default IInstanceProvider implementation is replaced by the MathInstanceProvider
    /// class.  See that class for details.
    /// </summary>
    public class MathServiceBehaviorExtention : BehaviorExtensionElement
    {
        public override Type BehaviorType
        {
            get { return typeof (MathServiceBehavior); }
        }

        protected override object CreateBehavior()
        {
            return new MathServiceBehavior();
        }
    }
}
